// @ts-check
// https://bun.sh/docs/bundler
// @ts-ignore
import pkg from './package.json';
// bun run src/index.ts --
const external = ['bun'];
await Bun.build({
  target: 'node',
  format: 'esm',
  entrypoints: ['./src/index.ts'],
  outdir: './dist',
  naming: {
    entry: 'envision.js',
  },
  external: external,
  define: {
    ENVISION_VERSION: JSON.stringify(pkg.version),
  },
});
